CVE-2020-15395

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2020-15395
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2020-15395.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2020-15395
Related
Published
2020-06-30T11:15:10Z
Modified
2024-06-30T12:01:22Z
Severity
  • 7.8 (High) CVSS_V3 - CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS Calculator
Summary
[none]
Details

In MediaInfoLib in MediaArea MediaInfo 20.03, there is a stack-based buffer over-read in StreamsFillPerStream in Multiple/File_MpegPs.cpp (aka an off-by-one during MpegPs parsing).

References

Affected packages

Debian:11 / libmediainfo

Package

Name
libmediainfo
Purl
pkg:deb/debian/libmediainfo?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
20.09+dfsg-1

Ecosystem specific

{
    "urgency": "low"
}

Debian:12 / libmediainfo

Package

Name
libmediainfo
Purl
pkg:deb/debian/libmediainfo?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
20.09+dfsg-1

Ecosystem specific

{
    "urgency": "low"
}

Debian:13 / libmediainfo

Package

Name
libmediainfo
Purl
pkg:deb/debian/libmediainfo?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
20.09+dfsg-1

Ecosystem specific

{
    "urgency": "low"
}